Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXTreeTable.TreeTableModelAdapter

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.jdesktop.swingx.JXTreeTable.TreeTableModelAdapter

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  JXTreeTable

    protected static class JXTreeTable.TreeTableModelAdapter

extends javax.swing.table.AbstractTableModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Method Summary
`protected void` | `bind(JXTreeTable treeTable)` Immutably binds this TreeTableModelAdapter to the specified JXTreeTable.
`protected void` | `delayedFireTableDataUpdated(javax.swing.event.TreeModelEvent tme)` This is used for updated only.
`java.lang.Class<?>` | `getColumnClass(int column)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`int` | `getRowCount()`
`protected JXTreeTable` | `getTreeTable()` Returns the JXTreeTable instance to which this TreeTableModelAdapter is permanently and exclusively bound.
`java.lang.Object` | `getValueAt(int row, int column)`
`boolean` | `isCellEditable(int row, int column)`
`protected java.lang.Object` | `nodeForRow(int row)`
`void` | `setValueAt(java.lang.Object value, int row, int column)`
`protected void` | `updateAfterExpansionEvent(javax.swing.event.TreeExpansionEvent event)` updates the table after having received an TreeExpansionEvent.

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### updateAfterExpansionEvent

    protected void updateAfterExpansionEvent(javax.swing.event.TreeExpansionEvent event)

  updates the table after having received an TreeExpansionEvent.

  Parameters:
    `event` - the TreeExpansionEvent which triggered the method call.

### getTreeTable

    protected JXTreeTable getTreeTable()

  Returns the JXTreeTable instance to which this TreeTableModelAdapter is permanently and exclusively bound. For use by `JXTreeTable.setModel(javax.swing.table.TableModel)`.

  Returns:
    JXTreeTable to which this TreeTableModelAdapter is permanently bound

### bind

    protected final void bind(JXTreeTable treeTable)

  Immutably binds this TreeTableModelAdapter to the specified JXTreeTable.

  Parameters:
    `treeTable` - the JXTreeTable instance that this adapter is bound to.

### getColumnClass

    public java.lang.Class<?> getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### getColumnCount

    public int getColumnCount()

### getColumnName

    public java.lang.String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getRowCount

    public int getRowCount()

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int column)

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int row,
                           int column)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`

### nodeForRow

    protected java.lang.Object nodeForRow(int row)

### delayedFireTableDataUpdated

    protected void delayedFireTableDataUpdated(javax.swing.event.TreeModelEvent tme)

  This is used for updated only. PENDING: not necessary to delay? Updates are never structural changes which are the critical.

  Parameters:
    `tme` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.